<?php
  // utworzenie krótkich nazw zmiennych
  $DOCUMENT_ROOT = $_SERVER['DOCUMENT_ROOT'];
?>
<html>
<head>
  <meta charset="UTF-8" />
  <title>Części samochodowe Janka — zamówienia klientów</title>
</head>
<body>
<h1>Części samochodowe Janka</h1>
<h2>Zamówienia klientów</h2>
<?php
  @$wp = fopen("$DOCUMENT_ROOT/../zamowienia/zamowienia.txt", 'rb');
  flock($wp, LOCK_SH);   // zablokowanie pliku do odczytu

  if (!$wp) {
    echo "<p><strong>Brak zamówień.
         Proszę spróbować później.</strong></p>";
    exit;
  }

  while (!feof($wp)) {
    $zamowienie = fgets($wp, 999);
    echo $zamowienie."<br />";
  }

  flock($wp, LOCK_UN);   // zwolnienie blokady pliku

  echo 'Końcowa pozycja wskaźnika pliku wynosi '.(ftell($wp));
  echo '<br />';
  rewind($wp);
  echo 'Po przewinięciu, pozycja wynosi '.(ftell($wp));
  echo '<br />';

  fclose($wp);


?>
</body>
</html>